org.eclipse.oomph.setup.pde

## Interface PDEFactory

- All Superinterfaces:
    EFactory, EModelElement, EObject, Notifier
  All Known Implementing Classes:
    PDEFactoryImpl

      public interface PDEFactory
      extends EFactory

  The Factory for the model. It provides a create method for each non-abstract class of the model.
  See Also:
    `PDEPackage`
  Generated

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static PDEFactory` | `eINSTANCE` The singleton instance of the factory.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `APIBaselineTask` | `createAPIBaselineTask()` Returns a new object of class 'API Baseline Task'.
    `TargetPlatformTask` | `createTargetPlatformTask()` Returns a new object of class 'Target Platform Task'.
    `PDEPackage` | `getPDEPackage()` Returns the package supported by this factory.

    - ### Methods inherited from interface org.eclipse.emf.ecore.EFactory

      `convertToString, create, createFromString, getEPackage, setEPackage`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EModelElement

      `getEAnnotation, getEAnnotations`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Field Detail

    - #### eINSTANCE

          static final PDEFactory eINSTANCE

      The singleton instance of the factory.
      Generated

  - ### Method Detail

    - #### createTargetPlatformTask

          TargetPlatformTask createTargetPlatformTask()

      Returns a new object of class 'Target Platform Task'.
      Returns:
        a new object of class 'Target Platform Task'.
      Generated

    - #### createAPIBaselineTask

          APIBaselineTask createAPIBaselineTask()

      Returns a new object of class 'API Baseline Task'.
      Returns:
        a new object of class 'API Baseline Task'.
      Generated

    - #### getPDEPackage

          PDEPackage getPDEPackage()

      Returns the package supported by this factory.
      Returns:
        the package supported by this factory.
      Generated

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html